Send the redirection link to the owner
curl --request POST \
--url https://thirdparty-sandbox.staging.qonto.co/register/registrations/{id}/trigger_owner_email \
--header 'Authorization: Bearer <token>' \
--header 'Qonto-Partner-Id: <api-key>'import requests
url = "https://thirdparty-sandbox.staging.qonto.co/register/registrations/{id}/trigger_owner_email"
headers = {
"Authorization": "Bearer <token>",
"Qonto-Partner-Id": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Qonto-Partner-Id': '<api-key>'}
};
fetch('https://thirdparty-sandbox.staging.qonto.co/register/registrations/{id}/trigger_owner_email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"code": "unauthorized",
"detail": "You must authenticate to perform API requests"
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The record identified by <uuid> could not be found."
}
]
}{
"errors": [
{
"code": "conflict",
"detail": "Type do not match server's endpoint",
"source": {
"pointer": "/data/type"
}
},
{
"code": "conflict",
"detail": "ID do not match server's endpoint",
"source": {
"pointer": "/data/id"
}
}
]
}Registrations
Send the redirection link to the owner
Sends the unique redirection link to the owner associated to the registration identified by the id path parameter.
Supported only for registrations in company creation flow (legal_flow = company_creation).
POST
/
register
/
registrations
/
{id}
/
trigger_owner_email
Send the redirection link to the owner
Authorizations
Bearer authorization header: Bearer <token>.
To get your <token>, please sign up to the Developer Portal.
API Key authorization header: Qonto-Partner-Id: <partner_id>.
To get your <partner_id> please, sign up to the Developer Portal.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
id of the Registration resource
Response
Returns a success status code.
Was this page helpful?
⌘I